services:
  backend:
    image: ghcr.io/mboehmlaender/vault-backend:latest
    container_name: vault-backend
    restart: unless-stopped
    ports:
      - "5001:5001"
    environment:
      - PORT=5001
    volumes:
      - ./backend/data:/app/data
    networks:
      - vault_net

  frontend:
    image: ghcr.io/mboehmlaender/vault-frontend:latest
    container_name: vault-frontend
    restart: unless-stopped
    depends_on:
      - backend
    networks:
      vault_net:
      dmz:
        ipv4_address: 10.10.12.28

networks:
  vault_net:
    driver: bridge
  dmz:
    external: true
